#if !defined(AFX_DELETETIMEZONE_H__793AABF6_5D12_4FC0_9202_497E247F9106__INCLUDED_)
#define AFX_DELETETIMEZONE_H__793AABF6_5D12_4FC0_9202_497E247F9106__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DeleteTimeZone.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDeleteTimeZone dialog

class CDeleteTimeZone : public CDialog
{
// Construction
public:
	CDeleteTimeZone(CWnd* pParent = NULL);   // standard constructor
	CDeleteTimeZone(IApplication *pApp);
// Dialog Data
	//{{AFX_DATA(CDeleteTimeZone)
	enum { IDD = IDD_TIMEZONE_DELETE };
	CButton	m_ADVSelect;
	CButton	m_CardsSelect;
	CButton	m_ActionGroupSelect;
	CButton	m_AccessLevelSelect;
	CButton	m_OperatorSelect;
	CButton	m_PanelSelect;
	CComboBox	m_ReassignTZList;
	CComboBox	m_TZList;
	CListBox	m_PanelList;
	CComboBox	m_AcctList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDeleteTimeZone)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDeleteTimeZone)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeAcctlist();
	afx_msg void OnDeleteTz();
	afx_msg void OnIsolate();
	afx_msg void OnReassign();
	afx_msg void OnAssociationSelect();
	afx_msg void OnSelchangeTZlist();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	IApplicationPtr pApplication;
	void LoadAccounts();
	void LoadTimeZones();
	void LoadReassignTimeZones();
	void LoadOperatorReassignTimeZones();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DELETETIMEZONE_H__793AABF6_5D12_4FC0_9202_497E247F9106__INCLUDED_)
